DocumentaciónReferencia APIGenerar respuesta de IA
    POSTDisponible

    Generar respuesta de IA

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/ai/generate-reply

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    assistant_id*bodyintegerCampo documentado assistant_id.
    customer_identifier*bodystringCampo documentado customer_identifier.
    message*bodystringCampo documentado message.
    variables*bodyobjectCampo documentado variables.

    * Obligatorio

    Ejemplo de solicitud

    curl -X POST "https://app.beepcall.ai/api/user/ai/generate-reply" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "assistant_id": 123,
      "customer_identifier": "+14155551234",
      "message": "Hi, I would like to schedule an appointment",
      "variables": {
        "customer_name": "John Smith",
        "source": "whatsapp"
      }
    }'

    Respuesta

    json
    {
      "success": true,
      "conversation_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "customer_identifier": "+14155551234",
      "reply": "Hi John! I'd be happy to help you schedule an appointment. What day and time work best for you?",
      "function_calls": [],
      "ai_disabled": false
    }

    Errores habituales

    404402422429